#!/bin/bash
 
# This program is free software. It comes without any warranty, to
# the extent permitted by applicable law. You can redistribute it
# and/or modify it under the terms of the Do What The Fuck You Want
# To Public License, Version 2, as published by Sam Hocevar. See
# http://sam.zoy.org/wtfpl/COPYING for more details.

for fgbg in 38 48 ; do # Foreground / Background
    for color in {0..255} ; do # Colors
        # Display the color
        printf "\e[${fgbg};5;%sm  %3s  \e[0m" $color $color
        # Display 6 colors per lines
        if [ $((($color + 1) % 6)) == 4 ] ; then
            echo # New line
        fi
    done
    echo # New line
done

echo -e "Powerline glyphs:\n\
Code points Glyphe  Description                Old code point
U+E0A0      \xee\x82\xa0       Version control branch     (U+2B60 \xe2\xad\xa0 )\n\
U+E0A1      \xee\x82\xa1       LN (line) symbol           (U+2B61 \xe2\xad\xa1 )\n\
U+E0A2      \xee\x82\xa2       Closed padlock             (U+2B64 \xe2\xad\xa4 )\n\
U+E0B0      \xee\x82\xb0       Rightwards black arrowhead (U+2B80 \xe2\xae\x80 )\n\
U+E0B1      \xee\x82\xb1       Rightwards arrowhead       (U+2B81 \xe2\xae\x81 )\n\
U+E0B2      \xee\x82\xb2       Leftwards black arrowhead  (U+2B82 \xe2\xae\x82 )\n\
U+E0B3      \xee\x82\xb3       Leftwards arrowhead        (U+2B83 \xe2\xae\x83 )\n\
"

echo -e "Ligature support:\n\
    -> -----> ----------> <---------- <----- <-\n\
    => =====> ==========> <========== <===== <=\n\
    +++++\n\
    >= <= !=\n\
"

echo -e "Default \e[39mDefault\e[0m"
echo -e "Default \e[30mBlack\e[0m"
echo -e "Default \e[31mRed\e[0m"
echo -e "Default \e[32mGreen\e[0m"
echo -e "Default \e[33mYellow\e[0m"
echo -e "Default \e[34mBlue\e[0m"
echo -e "Default \e[35mMagenta\e[0m"
echo -e "Default \e[36mCyan\e[0m"
echo -e "Default \e[37mLight gray\e[0m"
echo -e "Default \e[90mDark gray\e[0m"
echo -e "Default \e[91mLight red\e[0m"
echo -e "Default \e[92mLight green\e[0m"
echo -e "Default \e[93mLight yellow\e[0m"
echo -e "Default \e[94mLight blue\e[0m"
echo -e "Default \e[95mLight magenta\e[0m"
echo -e "Default \e[96mLight cyan\e[0m"
echo -e "Default \e[97mWhite\e[0m"

exit 0

